Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ant
Class UberCompileTask.JavacAdapter

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.MatchingTask
                  org.apache.tools.ant.taskdefs.Javac
                      org.codehaus.groovy.ant.UberCompileTask.JavacAdapter

    class UberCompileTask.JavacAdapter
    extends Javac

Constructor Summary
`UberCompileTask.JavacAdapter()`

Method Summary
`FileSet` | `getFileSet()`
`String` | `getTaskName()`

Methods inherited from class Javac
getDebug, getEncoding, setExecutable, execute, getTarget, getSource, getClasspath, setEncoding, setClasspath, createClasspath, setClasspathRef, getDebugLevel, setDebugLevel, setSource, createSrc, setSrcdir, getSrcdir, setDestdir, getDestdir, setSourcepath, getSourcepath, createSourcepath, setSourcepathRef, setBootclasspath, getBootclasspath, createBootclasspath, setBootClasspathRef, setExtdirs, getExtdirs, createExtdirs, setListfiles, getListfiles, setFailonerror, setProceed, getFailonerror, setDeprecation, getDeprecation, setMemoryInitialSize, getMemoryInitialSize, setMemoryMaximumSize, getMemoryMaximumSize, setDebug, setOptimize, getOptimize, setDepend, getDepend, setVerbose, getVerbose, setTarget, setIncludeantruntime, getIncludeantruntime, setIncludejavaruntime, getIncludejavaruntime, setFork, getExecutable, isForkedJavac, getJavacExecutable, setNowarn, getNowarn, createCompilerArg, getCurrentCompilerArgs, setTempdir, getTempdir, setUpdatedProperty, setErrorProperty, setIncludeDestClasses, isIncludeDestClasses, getTaskSuccess, getFileList, setCompiler, getCompiler, getCompilerVersion, add, setProject, setIncludes, addNot, addAnd, addOr, addContains, createInclude, createIncludesFile, createExclude, createExcludesFile, createPatternSet, XsetItems, setExcludes, XsetIgnore, setDefaultexcludes, setIncludesfile, setExcludesfile, setCaseSensitive, setFollowSymlinks, hasSelectors, selectorCount, getSelectors, selectorElements, appendSelector, addSelector, addNone, addMajority, addDate, addSize, addFilename, addCustom, addPresent, addDepth, addDepend, addContainsRegexp, addDifferent, addType, addModified, log, log, log, log, init, maybeConfigure, getTaskName, getOwningTarget, setRuntimeConfigurableWrapper, getTaskType, setTaskType, setTaskName, setOwningTarget, getRuntimeConfigurableWrapper, reconfigure, perform, bindToOwner, clone, getLocation, getDescription, setLocation, setDescription, getProject, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class MatchingTask
add, setProject, setIncludes, addNot, addAnd, addOr, addContains, createInclude, createIncludesFile, createExclude, createExcludesFile, createPatternSet, XsetItems, setExcludes, XsetIgnore, setDefaultexcludes, setIncludesfile, setExcludesfile, setCaseSensitive, setFollowSymlinks, hasSelectors, selectorCount, getSelectors, selectorElements, appendSelector, addSelector, addNone, addMajority, addDate, addSize, addFilename, addCustom, addPresent, addDepth, addDepend, addContainsRegexp, addDifferent, addType, addModified, log, log, log, log, init, execute, maybeConfigure, getTaskName, getOwningTarget, setRuntimeConfigurableWrapper, getTaskType, setTaskType, setTaskName, setOwningTarget, getRuntimeConfigurableWrapper, reconfigure, perform, bindToOwner, clone, getLocation, getDescription, setLocation, setDescription, getProject, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Task
log, log, log, log, init, execute, maybeConfigure, getTaskName, getOwningTarget, setRuntimeConfigurableWrapper, getTaskType, setTaskType, setTaskName, setOwningTarget, getRuntimeConfigurableWrapper, reconfigure, perform, bindToOwner, clone, getLocation, getDescription, setLocation, setDescription, getProject, setProject, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class ProjectComponent
clone, log, log, getLocation, getDescription, setLocation, setDescription, getProject, setProject, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### UberCompileTask.JavacAdapter

    UberCompileTask.JavacAdapter()

Method Detail

### getFileSet

    public FileSet getFileSet()

### getTaskName

    public String getTaskName()

Copyright © 2003-2009 The Codehaus. All rights reserved.